%define upstream_name    Data-Localize
%define upstream_version 0.00028

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    BerkeleyDB Backend
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(I18N::LangTags)
BuildRequires: perl(I18N::LangTags::Detect)
BuildRequires: perl(Log::Minimal) >= 0.140.0
BuildRequires: perl(Module::Build::Tiny) >= 0.35.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Module::Pluggable::Object)
BuildRequires: perl(Moo) >= 1.0.8
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Requires)
BuildArch:  noarch

%description
Data::Localize is an object oriented approach to localization, aimed to be
an alternate choice for Locale::Maketext, Locale::Maketext::Lexicon, and
Locale::Maketext::Simple.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.280-4.mga10
+ Revision: 2209137
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.0.280-3.mga9
+ Revision: 1819563
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.0.280-2.mga8
+ Revision: 1534644
- Mageia 8 Mass Rebuild

* Sun Oct 06 2019 tv <tv> 0.0.280-1.mga8
+ Revision: 1449793
- update to 0.00028

* Wed Sep 19 2018 umeabot <umeabot> 0.0.270-5.mga7
+ Revision: 1266883
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.0.270-4.mga6
+ Revision: 1024814
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.0.270-3.mga6
+ Revision: 969256
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 0.0.270-2.mga6
+ Revision: 865010
- Fix BRs

* Mon Jun 22 2015 sander85 <sander85> 0.0.270-1.mga6
+ Revision: 839219
- update to 0.00027

* Wed Oct 15 2014 umeabot <umeabot> 0.0.260-3.mga5
+ Revision: 748426
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.260-2.mga5
+ Revision: 684211
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 sander85 <sander85> 0.0.260-1.mga5
+ Revision: 641847
- update to 0.00026

* Sat Oct 19 2013 umeabot <umeabot> 0.0.250-2.mga4
+ Revision: 527774
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 shlomif <shlomif> 0.0.250-1.mga4
+ Revision: 442275
- update to 0.00025

* Sun Jan 13 2013 umeabot <umeabot> 0.0.220-3.mga3
+ Revision: 365389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.0.220-2.mga3
+ Revision: 335982
- Add missing BuildRequires

* Tue Nov 08 2011 kharec <kharec> 0.0.220-1.mga2
+ Revision: 165254
- update to 0.00022

* Mon Nov 07 2011 kharec <kharec> 0.0.210-1.mga2
+ Revision: 164771
- imported package perl-Data-Localize


* Mon Nov 07 2011 cpan2dist 0.00021-1mga
- initial mageia release, generated with cpan2dist
